---
bin_dir: /opt/bin

cri_socket: /run/containerd/containerd.sock

kubeadm_version: v1.16.0

kubernetes_version: "{{ kubeadm_version }}"

kubernetes_api_endpoint_port: 6443

kubernetes_binaries_url: https://storage.googleapis.com/kubernetes-release/release/{{ kubeadm_version }}/bin/linux/amd64

kubeadm_exec_dir: /root
kubeadm_sync_dirs:
  - /etc/kubernetes
  - /etc/kubernetes/pki
  - /etc/kubernetes/pki/etcd

kubeadm_pod_subnet: 192.168.0.0/16

kubeadm_api_server_extra_args: {}
kubeadm_controller_manager_extra_args: {}
kubeadm_scheduler_extra_args: {}
kubeadm_api_server_extra_volumes: {}
kubeadm_controller_manager_extra_volumes: {}
kubeadm_scheduler_extra_volumes: {}
kubeadm_kubelet_extra_args: {}

kubeadm_api_server_cert_extra_sans: {}

kubeadm_cluster_name: symplegma
